<header class="post-header">
  <h2 class="post-title">
    <a *ngIf="!isEdit" >{{ item.header }}</a>
    <input *ngIf="isEdit" type="text" size="60" [(ngModel)]="item.header"
      (keyup.enter)="doUpdateTitle()"
      (keyup.escape)="doCancelUpdateHeader()">
  </h2>
  <div class="post-info clearfix">
    <span>
      <button (click)="doDeleteItem()">刪除Header</button>
      <button *ngIf="!isEdit" (click)="isEdit = true">編輯Header</button>
      <button *ngIf="isEdit" (click)="doCancelUpdateHeader()">取消編輯</button>
    </span>
  </div>
</header>
